version: "3"
services:
  back:
    # donde se encuentra la imagen de Dockerfile
    build: $PWD
    # nombre del contenedor
    container_name: back
    # indica que siempre que falle se va a reiniciar
    restart: always
    #puerto donde se va a publicar.... viene desde el archivo .env
    ports:
      - ${PORT_BACK}:${PORT_BACK}
    # donde se encuentra el proyecto backend .. esta enlazado al volumen
    # mas abajo
    volumes:
      - $PWD:/Restaurante-api
    # ip interna del contenedor dentro de la red de docker
    networks:
      resto-app:
        ipv4_address: 100.100.100.12
    # esto indica que si o si tiene que estar prendido ese servicio
#    depends_on:
#      - redis
# redis:
#   container_name: redis
#   image: redis:latest
#   restart: always
#   ports:
#     - ${REDIS_PORT}:6379
#   volumes:
#     - redis-data:/data
#   networks:
#     resto-app:
#       ipv4_address: 100.100.100.14
networks:
  resto-app:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 100.100.100.0/24
#volumes:
#  redis-data:
#    driver_opts:
#      type: none
#      o: bind
#      device: $PWD/datos/redis
#back-data:
#  driver_opts:
#    type: none
#    o: bind
#    device: ${PWD}

